Bug 208483 - (CVE-2008-1694) CVE-2008-1694 emacs insecure /tmp file usage
CVE-2008-1694 emacs insecure /tmp file usage
Status: CLOSED WONTFIX
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
public=20080411,reported=20060928,sou...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-28 16:03 EDT by Steve Grubb
Modified: 2016-03-04 07:53 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 10:09:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Patch fixing tmp file usage (565 bytes, patch)
2006-09-28 16:03 EDT, Steve Grubb
no flags Details | Diff

  None (edit)
Description Steve Grubb 2006-09-28 16:03:24 EDT
Description of problem:
vcdiff script writes to a predictable tmp file. This could be used for attack by
malicious user.
Comment 1 Steve Grubb 2006-09-28 16:03:24 EDT
Created attachment 137341 [details]
Patch fixing tmp file usage
Comment 2 Lubomir Kundrak 2008-04-08 08:02:11 EDT
PATH=$PATH:/usr/ccs/bin:/usr/sccs:/usr/xpg4/bin # common SCCS hangouts

I don't like this either, it's unnecessary, but most likely has no security
consequences.

CVE Name was requested. Unless anyone objects, this will get public on Friday.
Chip, please communicate this upstream, and tell them not to commit fix until
friday.
Comment 3 Lubomir Kundrak 2008-04-08 12:04:54 EDT
CVE-2008-1694
Comment 9 Vincent Danen 2015-02-17 10:09:50 EST
This issue was fixed prior to the GA releases of RHEL6 and 7.

Statement:

Red Hat Enterprise Linux 5 is now in Production 3 Phase of the support and maintenance life cycle. This has been rated as having Low security impact and is not currently planned to be addressed in future updates. For additional information, refer to the Red Hat Enterprise Linux Life Cycle: https://access.redhat.com/support/policy/updates/errata/.

Note You need to log in before you can comment on or make changes to this bug.